Query unexecuted(active) conditional orders
curl --request POST \
--url https://whitebit.com/api/v4/conditional-orders \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"market": "BTC_USDT",
"offset": 0,
"limit": 100
}
'import requests
url = "https://whitebit.com/api/v4/conditional-orders"
payload = {
"market": "BTC_USDT",
"offset": 0,
"limit": 100
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({market: 'BTC_USDT', offset: 0, limit: 100})
};
fetch('https://whitebit.com/api/v4/conditional-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 100,
"offset": 0,
"total": 2,
"records": [
{
"id": 117703764513,
"type": "oco",
"reduceOnly": false,
"stopLoss": {
"orderId": 117703764514,
"clientOrderId": "",
"market": "BTC_USDT",
"side": "buy",
"type": "stop limit",
"timestamp": 1594605801.49815,
"dealMoney": "0",
"dealStock": "0",
"amount": "2.241379",
"takerFee": "0.001",
"makerFee": "0.001",
"left": "2.241379",
"dealFee": "0",
"postOnly": false,
"mtime": 1662478154.941582,
"price": "19928.79",
"activationPrice": "29928.79",
"activationCondition": "gte",
"activated": 0,
"status": "FILLED",
"stp": "no",
"positionSide": "LONG"
},
"takeProfit": {
"orderId": 117703764515,
"clientOrderId": "",
"market": "BTC_USDT",
"side": "buy",
"type": "limit",
"timestamp": 1662478154.941582,
"dealMoney": "0",
"dealStock": "0",
"amount": "0.635709",
"takerFee": "0.001",
"makerFee": "0.001",
"left": "0.635709",
"dealFee": "0",
"postOnly": false,
"mtime": 1662478154.941582,
"price": "9928.79",
"status": "FILLED",
"stp": "no",
"positionSide": "LONG"
}
},
{
"id": 29457221,
"type": "oto",
"reduceOnly": false,
"stopLossPrice": "30000",
"takeProfitPrice": "50000",
"conditionalOrder": {
"orderId": 3686033640,
"clientOrderId": "customId11",
"market": "BTC_USDT",
"side": "buy",
"type": "limit",
"timestamp": 1594605801.49815,
"dealMoney": "0",
"dealStock": "0",
"amount": "2.241379",
"takerFee": "0.001",
"makerFee": "0.001",
"left": "2.241379",
"dealFee": "0",
"price": "40000",
"status": "FILLED",
"stp": "no",
"positionSide": "LONG"
}
}
]
}{
"code": 30,
"message": "Validation failed",
"errors": {}
}{
"code": 30,
"message": "Validation failed",
"errors": {}
}Query unexecuted (active) conditional orders
List active conditional orders not yet triggered on collateral markets via the V4 API.
Query unexecuted(active) conditional orders
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Filter by specific market. Example: BTC_USDT
If not specified, returns conditional orders for all markets.
Example:
"BTC_USDT"
Number of records to skip for pagination.
Example:
0
Maximum number of records to return per page.
Example:
100
Example:
"{{request}}"
Example:
1594297865000
Response
Successful response - returns paginated conditional orders (OCO and OTO types)
Was this page helpful?
⌘I